# PSF-LoginServer - master - net.psforever.packet.game.SquadAction.Codecs
PSF - LoginServer - master - net.psforever.packet.game.SquadAction.Codecs
Keywords: PSF LoginServer master net.psforever.packet.game.SquadAction.Codecs

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  object SquadAction
  Definition Classes
    game
- AddSquadMemberPosition
- AssignSquadMemberToRole
- AssociateWithSquad
- AutoApproveInvitationRequests
- CancelFind
- CancelSelectRoleForYourself
- CancelSquadSearch
- ChangeSquadMemberRequirementsCertifications
- ChangeSquadMemberRequirementsDetailedOrders
- ChangeSquadMemberRequirementsRole
- ChangeSquadPurpose
- ChangeSquadZone
- CloseSquadMemberPosition
- Codecs
- DeleteSquadFavorite
- DisplaySquad
- FindLfsSoldiersForRole
- ListSquadFavorite
- LoadSquadFavorite
- LocationFollowsSquadLead
- NoSquadSearchResults
- RequestListSquad
- ResetAll
- SaveSquadFavorite
- SearchForSquadsWithParticularRole
- SearchMode
- SelectRoleForYourself
- SetListSquad
- SquadMemberInitializationIssue
- StopListSquad
- Unknown

o

net.psforever.packet.game.SquadAction

# Codecs

###

#### object Codecs

The `Codec`s used to transform the input stream into the context of a specific action and extract the field data from that stream.

Source
  SquadDefinitionActionMessage.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Codecs
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val addSquadMemberPositionCodec: Codec[AddSquadMemberPosition]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val assignSquadMemberToRoleCodec: Codec[AssignSquadMemberToRole]
7.  val associateWithSquadCodec: Codec[AssociateWithSquad]
8.  val autoApproveInvitationRequestsCodec: Codec[AutoApproveInvitationRequests]
9.  val cancelFindCodec: Codec[CancelFind]
10.  val cancelSelectRoleForYourselfCodec: Codec[CancelSelectRoleForYourself]
11.  val cancelSquadSearchCodec: Codec[CancelSquadSearch]
12.  val changeSquadMemberRequirementsCertificationsCodec: Codec[ChangeSquadMemberRequirementsCertifications]
13.  val changeSquadMemberRequirementsDetailedOrdersCodec: Codec[ChangeSquadMemberRequirementsDetailedOrders]
14.  val changeSquadMemberRequirementsRoleCodec: Codec[ChangeSquadMemberRequirementsRole]
15.  val changeSquadPurposeCodec: Codec[ChangeSquadPurpose]
16.  val changeSquadZoneCodec: Codec[ChangeSquadZone]
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  val closeSquadMemberPositionCodec: Codec[CloseSquadMemberPosition]
19.  val deleteSquadFavoriteCodec: Codec[DeleteSquadFavorite]
20.  val displaySquadCodec: Codec[DisplaySquad]
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def failureCodec(action: Int): Codec[SquadAction]

    The action code was completely unanticipated!

    The action code was completely unanticipated!

    action

      the action behavior code

    returns

      nothing; always fail

24.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
25.  val findLfsSoldiersForRoleCodec: Codec[FindLfsSoldiersForRole]
26.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  val listSquadFavoriteCodec: Codec[ListSquadFavorite]
30.  val loadSquadFavoriteCodec: Codec[LoadSquadFavorite]
31.  val locationFollowsSquadLeadCodec: Codec[LocationFollowsSquadLead]
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  val noSquadSearchResultsCodec: Codec[NoSquadSearchResults]
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  val requestListSquadCodec: Codec[RequestListSquad]
37.  val resetAllCodec: Codec[ResetAll]
38.  val saveSquadFavoriteCodec: Codec[SaveSquadFavorite]
39.  val searchForSquadsWithParticularRoleCodec: Codec[SearchForSquadsWithParticularRole]
40.  val selectRoleForYourselfCodec: Codec[SelectRoleForYourself]
41.  val setListSquadCodec: Codec[SetListSquad]
42.  val squadMemberInitializationIssueCodec: Codec[SquadMemberInitializationIssue]
43.  val stopListSquadCodec: Codec[StopListSquad]
44.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      AnyRef → Any
46.  def unknownCodec(action: Int): Codec[Unknown]

    A common form for known action code indexes with an unknown purpose and transformation is an "Unknown" object.

    A common form for known action code indexes with an unknown purpose and transformation is an "Unknown" object.

    action

      the action behavior code

    returns

      a transformation between the action code and the unknown bit data

47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped